# Installation

#### 1. Download Resource <a href="#id-1.-download-resource" id="id-1.-download-resource"></a>

To Begin, by downloading the resource you have purchased from [our store](https://corem.tebex.io/)

Now Log in to your [cfx portal](https://portal.cfx.re/) account and navigate to the **Asset Grants** section. There, you will find a list of all resources associated with your account, from which you can download the required files.

#### 2. Frameworks Supported <a href="#id-2.-dependencies" id="id-2.-dependencies"></a>

* ESX
* QBcore
* Qbox
* Standalone

#### 3. Ensuring Asset(s) <a href="#id-3.-asset-arrangement" id="id-3.-asset-arrangement"></a>

To ensure the asset(s) start correctly and function as intended, it is important that they are loaded in the proper order within your **server.cfg**. Below is an example illustrating the recommended startup sequence.

```
# 1. Start the core framework (choose the one your server uses)
# ensure es_extended      # ESX
# ensure qb-core        # QB-Core
# ensure qbx_core       # Qbox
# ensure your_own_framework # Standalone

# 2. Start the nm1 notification resource
ensure nm1-notification 

# Or create a folder named [nm1] and start all nm1 resources.
# ensure [nm1]
```

{% hint style="danger" %}
**Important** Ensure nm1 scripts *after* your framework&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nm1scripts.in/signature-series/nm1-notification/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
